{ config, pkgs, lib, ... }: {

  # Set up Gitea with LFS support
  services.gitea = {
    enable = true;
    domain = "git.coolneng.duckdns.org";
    rootUrl = "https://git.coolneng.duckdns.org";
    database = {
      type = "postgres";
      passwordFile = "/var/keys/gitea/db";
    };
    cookieSecure = true;
    disableRegistration = true;
    repositoryRoot = "/vault/git";
    appName = "Gitea";
    lfs.enable = true;
    settings = { ui = { DEFAULT_THEME = "arc-green"; }; };
  };
}
